Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 670558 - Review Request: ape - A tool for generating atomic pseudopotentials within a DFT framework
Review Request: ape - A tool for generating atomic pseudopotentials within a ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
:
Depends On: libxc
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-18 11:57 EST by Susi Lehtola
Modified: 2016-08-14 12:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: ape-1.1.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-03 15:26:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
martin.gieseking: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2011-01-18 11:57:07 EST
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/ape.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/ape-1.1.0-1.fc14.src.rpm

Upstream URL:
http://www.tddft.org/programs/APE

Description:
APE (Atomic Pseudopotential Engine) is a tool for generating atomic
pseudopotentials within a Density-Functional Theory framework.


rpmlint output:

ape.src: W: spelling-error Summary(en_US) pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
ape.src: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
ape.x86_64: W: spelling-error Summary(en_US) pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
ape.x86_64: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
ape.x86_64: W: no-manual-page-for-binary ape
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

These are all OK.
Comment 1 Martin Gieseking 2011-01-24 04:07:45 EST
Hi Jussi,

the package looks fine. Just two (non-blocking) things that should be addressed:

- According to the source headers, the utility is licensed under GPLv2+ but 
  COPYING contains the GPLv3 license text. Maybe you can clarify this with 
  upstream

- I suggest to use %{version} in Source0


$ rpmlint ./ape-*
ape.src: W: spelling-error Summary(en_US) pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
ape.src: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
ape.x86_64: W: spelling-error Summary(en_US) pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
ape.x86_64: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
ape.x86_64: W: no-manual-page-for-binary ape
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

The above warnings are expected and can be ignored.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv2+ according to source headers

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum ape-1.1.0.tar.gz*
    423de21a16aa806d67c2bdba20ba5c55  ape-1.1.0.tar.gz
    423de21a16aa806d67c2bdba20ba5c55  ape-1.1.0.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix ...
[.] MUST: devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin ...
[.] SHOULD: your package should contain man pages for binaries/scripts.

----------------
Package APPROVED
----------------
Comment 2 Susi Lehtola 2011-01-24 06:57:10 EST
Thanks for the review!

New Package SCM Request
=======================
Package Name: ape
Short Description: A tool for generating atomic pseudopotentials within a DFT framework
Owners: jussilehtola
Branches: F-13 F-14
InitialCC:
Comment 3 Susi Lehtola 2011-01-24 07:00:42 EST
I contacted upstream about COPYING.
Comment 4 Jason Tibbitts 2011-01-24 12:45:33 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-01-26 09:57:50 EST
ape-1.1.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ape-1.1.0-2.fc14
Comment 6 Fedora Update System 2011-01-26 09:57:58 EST
ape-1.1.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ape-1.1.0-2.fc13
Comment 7 Fedora Update System 2011-01-26 15:57:37 EST
ape-1.1.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ape'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ape-1.1.0-2.fc14
Comment 8 Fedora Update System 2011-02-03 15:26:51 EST
ape-1.1.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-02-03 15:27:06 EST
ape-1.1.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.